Subject: Re: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Noam Postavsky <[email-masked]>
Date: Sun, 29 Jul 2018 21:15:47 -0400

>> >>> Makes sense.  I guess the obsoletion should go to master?
>> >>
>> >> FWIW, I think obsoletions are a form of documentation, so the earlier we
>> >> announce them, the better.  IOW if the patch goes to emacs-26, then the
>> >> obsoletion should go there as well.
>> >
>> > Good point.
>> 
>> This sounds good in theory, although in practice people tend to treat it
>> as more than just documentation (e.g., Bug#30039).
>> 
>> On the other hand, a search for "term-read-noecho" on the web gets 9
>> hits, all of which are either this bug thread, or copies of
>> term.el/Emacs commit logs.  So maybe this is all theoretical anyway...
>
> My POV on this is that we shouldn't in general deprecate anything in a
> bugfix release.  However, I agree that this particular case is not
> really important to justify bikeshedding, so I won't holler if we did
> it this time.

Well, I've pushed the obsoletion to master.

[1: bd36ab560d]: 2018-07-29 21:13:48 -0400
  * lisp/term.el (term-read-noecho): Mark obsolete.
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=bd36ab560d5efcc5853e455c2312cf1a104e78ea